Name:           libshout-idjc
Version:        2.3.1
Release:        %mkrel 1
Summary:        Icecast source streaming library modified for IDJC
Group:          System/Libraries
License:        LGPLv2+
URL:            http://idjc.sourceforge.net/
Source:         http://downloads.sourceforge.net/project/idjc/%{name}/%{name}-%{version}.tar.xz

BuildRequires:  libogg-devel
BuildRequires:  libvorbis-devel
BuildRequires:  libtheora-devel
BuildRequires:  speex-devel

%description
The libshout is a library for communicating with and sending data to an icecast
server.  It handles the socket connection, the timing of the data, and prevents
most bad data from getting to the icecast server. libshout-idjc is a modified
version of libshout library with extra functionality needed by idjc.

%package        devel
Summary:        static libraries and header files for %{name} development
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}

Requires:       libogg-devel
Requires:       libvorbis-devel
Requires:       libtheora-devel
Requires:       speex-devel

%description    devel
The libshout-idjc-devel package contains the header files needed for developing
applications that send data to an icecast server. Install libshout-idjc-devel
if you want to develop applications using libshout-idjc.


%prep
%setup -q


%build
autoreconf -fi
export CFLAGS="-logg"

%configure2_5x --disable-static \
	        --prefix=/usr \
	        --libexecdir=/usr/%{_lib} 


#%configure --disable-static
# clean unused-direct-shlib-dependencies
#sed -i -e 's! -shared ! -Wl,--as-needed\0!g' libtool
#make %{?_smp_mflags}
%make

%install
make install DESTDIR=%{buildroot}
find %{buildroot} -type f -name "*.la" -exec rm -f {} ';'
rm -rf %{buildroot}/%{_docdir}


%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files
%doc COPYING NEWS README
%{_libdir}/libshout-idjc.so.*


%files devel
%{_libdir}/libshout-idjc.so
%{_libdir}/pkgconfig/shout-idjc.pc
%dir %{_includedir}/shoutidjc/
%{_includedir}/shoutidjc/shout.h


%changelog
* Thu Jun 26 2014 pinoc <vogtpet at gmail.com> 2.3.1-1pclos2014
- imported package
